Bug 5865 - Devel-пакет ядра, помечается как осиротевший, что вносит неудобства при чистке системы.
: Devel-пакет ядра, помечается как осиротевший, что вносит неудобства при чистк...
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-02 06:12 MSD by Александр
Modified: 2016-02-16 14:30 MSK (History)
3 users (show)

See Also:
RPM Package: kernel-nrj-laptop-devel-4.0.7-1rosa-x86_64-1-1-rosa2014.1.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Скриншот ошибки (41.97 KB, image/png)
2015-07-02 06:12 MSD, Александр
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Александр 2015-07-02 06:12:24 MSD
Created attachment 4165 [details]
Скриншот ошибки

Description of problem:
Удаляя старые ядра, командой:
sudo urpm-package-cleanup --oldkernels
я обратил внимание, что devel пакеты ядер 4.0.5 и свежее 4.0.7, помечаются как осиротевшие. Это не мешает работе системы в целом, но мешает удалению осиротевших пакетов, т.к. система не может удалить devel-пакет текущего ядра. Другими словами, программа удаления осиротевших пакетов "urpme --auto-orphans" не будет работать, т.к. будет останавливаться на ошибке удаления devel-пакета ядра и чтобы удалить осиротевшие пакеты, после удаления какой нибудь программы, мне приходится удалять их вручную. 

Version-Release number of selected component (if applicable):
Версии ядер kernel-nrj-laptop-4.0.5, 4.0.7 

How reproducible:


Steps to Reproduce:
1. Установить ядро 4.0.*
2. Выполнить команду удаления старых ядер. "sudo urpm-package-cleanup --oldkernels"
3. Выполнить команду удаления осиротевших пакетов. "sudo urpme --auto-orphans"
Comment 1 Eugene Shatokhin 2015-07-02 11:08:21 MSD
Это, действительно, возможно с нашими текущими вариантами ядра, если явно ставить только основной пакет с ядром. devel-пакет - в зависимостях у основного теперь, а то раньше легко было забыть, что он тоже нужен. 

Почему тут зависимости обработались так, пока неясно.

Посмотрим, что можно сделать.
Comment 2 Denis Silakov 2016-02-04 11:48:05 MSK
Однако, багу этому уже много лет - see bug #290. Непонятно, почему на него тогда забили. Причина проста - "urpme --auto-orphans" просто не смотрит на зависимости текущего ядра. Если я правильно понимаю, он смотрит только на зависимости *latest ядра, и если загружено не latest, то будет плохо.

То, что devel-пакеты лежат в списке установленных по зависимостям (/var/lib/rpm/installed-through-deps.list) - это нормально, они ведь действительно по зависимостям обычно приезжают. Если их поставить явно руками, то их в этом списке не будет. Просто при определении того, кто является сиротами, urpme должен быть умнее.
Comment 3 Denis Silakov 2016-02-04 12:00:40 MSK
Advisory:
Improved "urpme --auto-orphans" behavior to skip requirements of the currently loaded kernel.

Build lists:
https://abf.io/build_lists/2622174
https://abf.io/build_lists/2622175
Comment 4 Vladimir Potapov 2016-02-10 10:46:42 MSK
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2016-02-16 14:23:09 MSK
urpmi-7.32.3-46
https://abf.io/build_lists/2622174
https://abf.io/build_lists/2622175
*********************** Advisory ***********************
Improved "urpme --auto-orphans" behavior to skip requirements of the currently loaded kernel.
********************************************************
QA Verified